koha 3.0 compilation error

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

koha 3.0 compilation error

Sven Jankofsky

Hi Guys,

I am testing koha in order to find the perfect LS for a little library in the context of my study.

I installed koha 3.0 to an clean Ubuntu 8.10, using this instruction:

 

http://www.blazingmoon.org/guides/k3-on-u810-3.html

Other components: webmin 1.441, Lamp, perl ldap 0.39.

 

I finished the installation without any major errors but I'm getting the following failure massages:

 

Opac:

The following fatal error has occurred:

 

Can't locate ZOOM.pm in @INC (@INC contains: /usr/share/koha/lib /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/koha/lib/C4/Context.pm line 84.

BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Context.pm line 84.

Compilation failed in require at /usr/share/koha/lib/C4/Auth.pm line 29.

BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Auth.pm line 29.

Compilation failed in require at /usr/share/koha/opac/cgi-bin/opac/opac-main.pl line 22.

BEGIN failed--compilation aborted at /usr/share/koha/opac/cgi-bin/opac/opac-main.pl line 22.

 

 

Intranet:

The following fatal error has occurred:

 

Can't locate ZOOM.pm in @INC (@INC contains: /usr/share/koha/lib /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/koha/lib/C4/Context.pm line 84.

BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Context.pm line 84.

Compilation failed in require at /usr/share/koha/lib/C4/Output.pm line 30.

BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Output.pm line 30.

Compilation failed in require at /usr/share/koha/intranet/cgi-bin/mainpage.pl line 23.

BEGIN failed--compilation aborted at /usr/share/koha/intranet/cgi-bin/mainpage.pl line 23.

 

 

I hope somebody can help please. Sorry I am not that expert in library systems and linux.

 

 

Thanks from Germany

 

Sven


_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

Chris Nighswonger
Hi Sven,

2010/2/7 Sven Jankofsky <[hidden email]>:
> Can't locate ZOOM.pm in @INC (@INC contains: /usr/share/koha/lib /etc/perl
> /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5
> /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10
> /usr/local/lib/site_perl .) at /usr/share/koha/lib/C4/Context.pm line 84.

You need to install Net::Z3950::ZOOM. Try:

sudo apt-get install libnet-z3950-zoom-perl

Kind Regards,
Chris
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

Mason James-5
In reply to this post by Sven Jankofsky

hi Sven,

On 2010-02-8, at 7:38 AM, Sven Jankofsky wrote:

> Hi Guys,
> I am testing koha in order to find the perfect LS for a little library in the context of my study.
> I installed koha 3.0 to an clean Ubuntu 8.10, using this instruction:
>  
> http://www.blazingmoon.org/guides/k3-on-u810-3.html
> Other components: webmin 1.441, Lamp, perl ldap 0.39.

use the ubuntu guide here...
http://git.koha.org/cgi-bin/gitweb.cgi?p=Koha;a=blob;f=INSTALL.ubuntu


> I finished the installation without any major errors but I'm getting the following failure massages:
>  
>
> The following fatal error has occurred:
>  
> Can't locate ZOOM.pm in @INC (@INC contains: /usr/share/koha/lib /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/koha/lib/C4/Context.pm line 84.


this command should fetch your missing ZOOM.pm..

$ sudo apt-get install libnet-z3950-zoom-perl


cheers, Mason.
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

Chris Nighswonger
In reply to this post by Chris Nighswonger
Hi Sven

On Mon, Feb 8, 2010 at 6:19 AM, Sven Jankofsky
<[hidden email]> wrote:

> Hi,
> Thank you for response. I tried this command but I got the following error message:
>
>>sudo apt-get install libnet-z3950-zoom-perl
>>Reading package lists... Done
>>Building dependency tree
>>Reading state information... Done
>>Some packages could not be installed. This may mean that you have
>>requested an impossible situation or if you are using the unstable
>>distribution that some required packages have not yet been created
>>or been moved out of Incoming.
>>
>>Since you only requested a single operation it is extremely likely that
>>the package is simply not installable and a bug report against
>>that package should be filed.
>>The following information may help to resolve the situation:
>>
>>The following packages have unmet dependencies:
>>  libnet-z3950-zoom-perl: Depends: libyaz3 (>= 3.0.26) but it is not going to be installed
>>E: Broken packages

I'm not sure how to fix this, so I'm cc'ing back to the list where you
may get more help.

Kind Regards,
Chris
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

Chris Nighswonger
Hi Sven,

Please cc the list as someone else may be able to help or may be
helped by these communications.

On Mon, Feb 8, 2010 at 8:39 AM, Sven Jankofsky
<[hidden email]> wrote:
> I could fix this with "sudo aptitude install libnet-z3950-zoom-perl" but it just occurred another error
>
>
>>This version of XML::LibXSLT requires XML::LibXML 1.6 (ABI 1), which is incompatible with currently installed XML::LibXML 1.70 (ABI 2). Please upgrade XML::LibXSLT, >XML::LibXML, or both! at /usr/local/lib/perl/5.10.0/XML/LibXML.pm line 49.

Are you sure you are using the correct repositories for your version of Ubuntu?

Have you tried upgrading  XML::LibXSLT or downgrading XML::LibXML?

Kind Regards,
Chris
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

fredyr
hola no se si sea tarde

el problema es que koha requiere la version 1.16 y es posible que este instalada la version mas reciente 1.26

ingrsa a la pagina http://search.cpan.org/~mirk/Net-Z3950-ZOOM-1.16/ y decarga la version 1.6 descomprime el paquete e instalalo

yo lo guarde en la carpeta build, ingresa al directorio, lo descomprimes.

   #cd /build
   #tar -xzvf Net-Z3950-ZOOM-1.16.tar.gz

ingresamos a la carpeta Net-Z3950-ZOOM-1.16

   #cd /Net-Z3950-ZOOM-1.16
   # perl Makefile.PL
   # make
   # make test
   # make install

y listo ya puede ingresar
 fredyr@etb.net.co
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

DEEPTI
In reply to this post by Sven Jankofsky
Hi Guys
 i am configure koha in open suse 11.1 for my office but i m finding some error.

The following fatal error has occurred:

Can't locate ZOOM.pm in @INC (@INC contains: /usr/share/koha/lib /usr/lib/perl5/5.10.0/i586-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl/5.10.0/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl .) at /usr/share/koha/lib/C4/Context.pm line 84.
BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Context.pm line 84.
Compilation failed in require at /usr/share/koha/lib/C4/Auth.pm line 29.
BEGIN failed--compilation aborted at /usr/share/koha/lib/C4/Auth.pm line 29.
Compilation failed in require at /usr/share/koha/intranet/cgi-bin/errors/404.pl line 21.
BEGIN failed--compilation aborted at /usr/share/koha/intranet/cgi-bin/errors/404.pl line 21.

I hope somebody can help please. it's really important for me.i m trainee in my company and i is my project. please i need help

Deepti Ahlawat
Reply | Threaded
Open this post in threaded view
|

Re: koha 3.0 compilation error

MJ Ray-2
DEEPTI wrote:
> The following fatal error has occurred:
>
> Can't locate ZOOM.pm in @INC [...]

It looks like Net::Z3950::ZOOM is not installed or not findable.

Try the section titled "Install some "Net" Perl Modules" in
INSTALL.opensuse

Hope that helps,
--
MJ Ray (slef), member of www.software.coop, a for-more-than-profit co-op.
Webmaster, Debian Developer, Past Koha RM, statistician, former lecturer.
In My Opinion Only: see http://mjr.towers.org.uk/email.html
Available for hire for various work http://www.software.coop/products/
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha